<?php
/* WebDirectory RELEASE 2.0
 * Copyright (C) 2005 Benjamin Heckmann
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

	//Define class with security functions
	class SecurityItem {
		//Class method for storing items in the session
		function LogOutgoingItem ($str_item) {
			//Store item in session
			$_SESSION["securityitem"][] = $str_item;
			return $str_item;
		}

		//Class method for comparing items with the item store
		function CheckIncomingItem ($str_item) {
			if (!isset($_SESSION["securityitem"])) {
				//Abort script execution
				exit("SERVER SIDE SECURITY: No comparision.");
			}
			
			//Compare item with store
			if (array_search($str_item, $_SESSION["securityitem"], true) !== false) {
				return true;
			}
			
			//Abort script execution
			exit("SERVER SIDE SECURITY: Failed check.");
		}
	}
?>
