<?php
/* WebDirectory RELEASE 2.0.1
 * Copyright (C) 2005 Benjamin Heckmann
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
	
	//Include classes
	include("class/WebDirectory.class.php");

	//Start php session handler
	session_name("webdirectory");
	session_start();

	//Check authentication
	if ($_SESSION["authentication"]["login"] != "AUTHENTICATED") exit("SERVER SIDE ERROR: No authentication.");

	//Create WebDirectory object
	$obj_webDirectory = new WebDirectory($_SESSION["configuration"][$_SESSION["authentication"]["instance"]]["baseDirectory"], $_SESSION["configuration"][$_SESSION["authentication"]["instance"]]["logFile"]);
	
	//Check and handle file downloads and stop script afterwards
	if ($obj_webDirectory->SendFileDownload()) {
		exit();
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<TITLE>WebDirectory</TITLE>
<LINK rel="stylesheet" type="text/css" href="webdirectory.css"></HEAD>
<BODY>
<P class="title"><A class="title" href="http://webdirectory.benjaminheckmann.de" target="_blank">WebDirectory 2.0</A></P>
<?php	
	//Provide logout when needed
	if ($_SESSION["configuration"][$_SESSION["authentication"]["instance"]]["authFile"] != "") echo ("<p class='logout'><a href='index.php?logout=true'>Logout</a></p>");
	
	//Build directory page as html code
	echo($obj_webDirectory->GetOutputFindLastDirectory());
	echo($obj_webDirectory->GetOutputActualDirectory());
	echo($obj_webDirectory->GetOutputError());
	echo("<hr>");
	echo($obj_webDirectory->GetOutputPhpEnvironment());
	echo($obj_webDirectory->GetOutputFileUpload());
	echo($obj_webDirectory->GetOutputFiles());
	echo("<hr>");
	echo($obj_webDirectory->GetOutputFolderEditor());
	echo($obj_webDirectory->GetOutputFolders());
?>
</BODY></HTML>